:	this command file recompiles the entire system

:	$1 = {40,45,70}
:	$2 = {fpp,nofpp}
:	$3 = {mt,tu}

echo RECOMPILE THE ENTIRE SYSTEM
echo must run single user as super user
echo also do an immediate reboot after completion
echo requires about three 3 hours on an 11/45

sh as.rc
sh aslib.rc $2
  
: note:	cc, clib and ld repeated to correctly propagate changes
sh cc.rc $2
sh clib.rc $2
sh ld.rc
sh cc.rc $2
sh clib.rc $2
sh ld.rc

sh portc.rc
sh cmd1.rc $2
sh cmd2.rc $2
sh cmd3.rc $2
sh cmd4.rc $2
sh cmd5.rc $2
sh cmd6.rc $2
sh yacc.rc
sh lex.rc
sh sccs.rc $2
sh adb.rc $2
sh agen.rc
sh bas.rc
sh cref.rc
sh dc.rc
if -r fc.rc goto rfc
echo fc.rc not available
echo probably on second RK source pack
goto nfc
: rfc
sh fc.rc
: nfc
sh fed.rc
sh form.rc
sh lil.rc
sh nroff.rc
sh neqn.rc
sh tbl.rc
sh term.rc
sh font.rc
sh sno.rc
sh tp.rc
sh util.rc $3

sh opsys.rc $1
sh io.rc $1
sh unix.rc $1

echo reboot system now!!!!
